jQuery(document).ready(function($) {

    /*------------------------------------------------
                DECLARATIONS
    ------------------------------------------------*/
    
        var loader = $('#loader');
        var loader_container = $('#preloader');
        var scroll = $(window).scrollTop();  
        var scrollup = $('.backtotop');
        var menu_toggle = $('.menu-toggle');
        var dropdown_toggle = $('.main-navigation button.dropdown-toggle');
        var nav_menu = $('.main-navigation ul.nav-menu');
        var banner_slider = $('.banner-slider');
        var related_gallery_slider = $('.related-gallery-slider');
    
    /*------------------------------------------------
                PRELOADER
    ------------------------------------------------*/
    
        loader_container.delay(1000).fadeOut();
        loader.delay(1000).fadeOut("slow");
    
    /*------------------------------------------------
                    BACK TO TOP
    ------------------------------------------------*/
    
        $(window).scroll(function() {
            if ($(this).scrollTop() > 1) {
                scrollup.css({bottom:"25px"});
            } 
            else {
                scrollup.css({bottom:"-100px"});
            }
        });
    
        scrollup.click(function() {
            $('html, body').animate({scrollTop: '0px'}, 800);
            return false;
        });

    
    /*------------------------------------------------
                    MENU, STICKY MENU AND SEARCH
    ------------------------------------------------*/
    
        $('#top-menu .dropdown-icon').click(function(){
            $('#top-menu .wrapper').slideToggle();
            $('#top-menu').toggleClass('top-menu-active');
        });
    
        menu_toggle.click(function(){
            nav_menu.slideToggle();
           $('.main-navigation').toggleClass('menu-open');
        });
    
        dropdown_toggle.click(function() {
            $(this).toggleClass('active');
           $(this).parent().find('.sub-menu').first().slideToggle();
        });
    
        $(window).scroll(function() {
            if ($(this).scrollTop() > 290) {
                $('.site-header.sticky-header').fadeIn();
                if ($('.site-header').hasClass('sticky-header')) {
                    $('.site-header.sticky-header').addClass('nav-shrink');
                    $('.site-header.sticky-header').fadeIn();
                }
            } 
            else {
                $('.site-header.sticky-header').removeClass('nav-shrink');
            }
        });
    
        $('.main-navigation-search a.search').click(function(e) {
            e.preventDefault();
            $('#search').toggleClass('search-open');
            $('#search .search-field').focus();
        });

    /*--------------------------------------------------------------
     Keyboard Navigation
    ----------------------------------------------------------------*/
    if( $(window).width() < 1024 ) {
        $('#primary-menu').find("li").last().bind( 'keydown', function(e) {
            if( e.which === 9 ) {
                e.preventDefault();
                $('#masthead').find('.menu-toggle').focus();
            }
        });
    }
    else {
        $( '#primary-menu li:last-child' ).unbind('keydown');
    }

    $(window).resize(function() {
        if( $(window).width() < 1024 ) {
            $('#primary-menu').find("li").last().bind( 'keydown', function(e) {
                if( e.which === 9 ) {
                    e.preventDefault();
                    $('#masthead').find('.menu-toggle').focus();
                }
            });
        }
        else {
            $( '#primary-menu li:last-child' ).unbind('keydown');
        }
    });

    $(document).keyup(function(e) {
        e.preventDefault();
        if (e.keyCode === 27) {
            $('#search').removeClass('search-open');
        }

        if (e.keyCode === 9) {
            $('#search').removeClass('search-open');
        }
    });

    $('.main-navigation').on('keydown', function(e) {
        tabKey = e.keyCode === 9;
        shiftKey = e.shiftKey;
        if( $('.main-navigation').hasClass('menu-open') ) {
            if ( shiftKey && tabKey ) {
                e.preventDefault();
                nav_menu.slideUp();
                $('.main-navigation').removeClass('menu-open');
            };
        }
    });
    
    
    /*------------------------------------------------
                    SLICK SLIDERS
    ------------------------------------------------*/
    
    $( '.widget-slider' ).slick();
    $( '.highlight' ).slick({
        responsive: [
            {
                breakpoint: 767,
                settings: {
                    vertical: false,
                }
            }
        ]
    });    
    var status = $('.pagingInfo');
    
    /*------------------------------------------------
                    STICKY-BAR
    ------------------------------------------------*/
    jQuery('#secondary').theiaStickySidebar({
        // Settings
        additionalMarginTop: 30
      });

    /*------------------------------------------------
                    OFF CANVAS
    ------------------------------------------------*/
    $('#off-canvas-icon').on( 'click', function(e) {
        e.preventDefault();
        $('#off-canvas').addClass('open');
    } )
    $('#off-canvas .icon-close').on( 'click', function() {
        $('#off-canvas').removeClass('open');
    } )
    
    /*------------------------------------------------
                    END JQUERY
    ------------------------------------------------*/
    
    });