<?php
/**
 * Template Name: Home Page
 * The template for displaying home page.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package shark_news
 */

get_header(); ?>

<?php 
/**
 * shark_news_home_top_start_action hook
 *
 * @hooked shark_news_home_top_start -  10
 *
 */
do_action( 'shark_news_home_top_start_action' );
 ?>

<?php if ( is_active_sidebar( 'home-page-top' ) ) : ?>
	<div class="homepage-top-wrapper page-section wrapper">
		<?php dynamic_sidebar( 'home-page-top' ); ?>
	</div>
<?php endif; ?>

<div class="single-template-wrapper wrapper <?php if ( ! is_active_sidebar( 'home-page-top' ) ) { echo 'page-section'; } ?> ">
	<div id="primary" class="content-area">
		<main id="main" class="site-main">

			<?php if ( is_active_sidebar( 'home-page-area' ) ) :
				dynamic_sidebar( 'home-page-area' );
			else : ?>
				<div class="wrapper center">
					<?php the_widget( 'WP_Widget_Text', $instance = array( 'title' => esc_html__( 'Welcome to Shark News Theme', 'shark-news' ), 'text' => esc_html__( 'Shark News provides you the best platform for you to show your blogs. Customize Slider from Customizer Theme Options. Customize Home Page by adding widgets that are compatible for home page. Add Widgets that are prefixed by ST.', 'shark-news' ) ) ); ?>
				</div>
			<?php endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->
	<?php get_sidebar(); ?>
</div>

<?php if ( is_active_sidebar( 'home-page-bottom' ) ) : ?>
	<div class="homepage-bottom-wrapper wrapper">
		<?php dynamic_sidebar( 'home-page-bottom' ); ?>
	</div>
<?php endif;

get_footer();
