<?php
/**
 * Default Theme Customizer Values
 *
 * @package shark_news
 */

function shark_news_get_default_theme_options() {
	$shark_news_default_options = array(
		// default options

		// Top Bar
		'show_topbar_menu'		=> false,
		'show_social_menu'		=> false,
		'show_menu_date'		=> true,

		// Header 
		'show_menu_search'		=> true,

		// Trending
		'enable_trending'		=> false,
		'trending_entire_site'	=> false,
		'trending_title'		=> esc_html__( 'Trending', 'shark-news' ),

		// Highlight
		'enable_highlight'			=> true,
		'highlight_entire_site'		=> false,
		'highlight_dot'				=> true,
		'highlight_auto_slide'		=> true,
		'highlight_arrow'			=> true,
		'highlight_content_type'	=> 'category',
		'highlight_count'			=> 4,
		'highlight_title'			=> esc_html__( 'Headline', 'shark-news' ),

		// Footer
		'slide_to_top'			=> true,
		'copyright_text'		=> esc_html__( 'Copyright &copy; 2020 | All Rights Reserved', 'shark-news' ),

		// blog / archive
		'latest_blog_title'		=> esc_html__( 'Blogs', 'shark-news' ),
		'excerpt_count'			=> 25,
		'pagination_type'		=> 'numeric',
		'sidebar_layout'		=> 'right-sidebar',
		'column_type'			=> 'column-2',
		'show_date'				=> true,
		'show_category'			=> true,
		'show_author'			=> true,
		'show_comment'			=> true,

		// single post
		'sidebar_single_layout'	=> 'right-sidebar',
		'show_single_date'		=> true,
		'show_single_category'	=> true,
		'show_single_tags'		=> true,
		'show_single_author'	=> true,
		'show_related_posts'	=> true,
		'show_related_posts_title'	=> esc_html( 'Related Posts', 'shark-news' ),

		// page
		'sidebar_page_layout'	=> 'right-sidebar',

		// global
		'enable_loader'			=> true,
		'loader_type'			=> 'spinner-dots',
		'site_layout'			=> 'full',
		'header_typography'		=> 'default',
		'body_typography'		=> 'default',
		'homepage_date_format'	=> 'human_time_diff',

		// theme color
		'theme_color'			=> 'default',
		'colorscheme'			=> '#0d0d0d',
		'secondary_colorscheme'	=> '#cd0000',
	);

	$output = apply_filters( 'shark_news_default_theme_options', $shark_news_default_options );
	return $output;
}