<?php
/**
 * Footer Customizer Options
 *
 * @package shark_news
 */

// Add footer section
$wp_customize->add_section( 'shark_news_footer_section', array(
	'title'             => esc_html__( 'Footer Section','shark-news' ),
	'description'       => esc_html__( 'Footer Setting Options', 'shark-news' ),
	'panel'             => 'shark_news_theme_options_panel',
) );

// slide to top enable setting and control.
$wp_customize->add_setting( 'shark_news_theme_options[slide_to_top]', array(
	'default'           => shark_news_theme_option('slide_to_top'),
	'sanitize_callback' => 'shark_news_sanitize_switch',
) );

$wp_customize->add_control( new Shark_News_Switch_Control( $wp_customize, 'shark_news_theme_options[slide_to_top]', array(
	'label'             => esc_html__( 'Show Slide to Top', 'shark-news' ),
	'section'           => 'shark_news_footer_section',
	'on_off_label' 		=> shark_news_show_options(),
) ) );

// copyright text
$wp_customize->add_setting( 'shark_news_theme_options[copyright_text]',
	array(
		'default'       		=> shark_news_theme_option('copyright_text'),
		'sanitize_callback'		=> 'shark_news_santize_allow_tags',
	)
);
$wp_customize->add_control( 'shark_news_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'shark-news' ),
		'section'    			=> 'shark_news_footer_section',
		'type'		 			=> 'textarea',
    )
);
