<?php
/**
 * Single Post Customizer Options
 *
 * @package shark_news
 */

// Add excerpt section
$wp_customize->add_section( 'shark_news_single_section', array(
	'title'             => esc_html__( 'Single Post Setting','shark-news' ),
	'description'       => esc_html__( 'Single Post Setting Options', 'shark-news' ),
	'panel'             => 'shark_news_theme_options_panel',
) );

// sidebar layout setting and control.
$wp_customize->add_setting( 'shark_news_theme_options[sidebar_single_layout]', array(
	'sanitize_callback'   => 'shark_news_sanitize_select',
	'default'             => shark_news_theme_option('sidebar_single_layout'),
) );

$wp_customize->add_control(  new Shark_News_Radio_Image_Control ( $wp_customize, 'shark_news_theme_options[sidebar_single_layout]', array(
	'label'               => esc_html__( 'Sidebar Layout', 'shark-news' ),
	'section'             => 'shark_news_single_section',
	'choices'			  => shark_news_sidebar_position(),
) ) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'shark_news_theme_options[show_single_date]', array(
	'default'           => shark_news_theme_option( 'show_single_date' ),
	'sanitize_callback' => 'shark_news_sanitize_switch',
) );

$wp_customize->add_control( new Shark_News_Switch_Control( $wp_customize, 'shark_news_theme_options[show_single_date]', array(
	'label'             => esc_html__( 'Show Date', 'shark-news' ),
	'section'           => 'shark_news_single_section',
	'on_off_label' 		=> shark_news_show_options(),
) ) );

// Archive category meta setting and control.
$wp_customize->add_setting( 'shark_news_theme_options[show_single_category]', array(
	'default'           => shark_news_theme_option( 'show_single_category' ),
	'sanitize_callback' => 'shark_news_sanitize_switch',
) );

$wp_customize->add_control( new Shark_News_Switch_Control( $wp_customize, 'shark_news_theme_options[show_single_category]', array(
	'label'             => esc_html__( 'Show Category', 'shark-news' ),
	'section'           => 'shark_news_single_section',
	'on_off_label' 		=> shark_news_show_options(),
) ) );

// Archive category meta setting and control.
$wp_customize->add_setting( 'shark_news_theme_options[show_single_tags]', array(
	'default'           => shark_news_theme_option( 'show_single_tags' ),
	'sanitize_callback' => 'shark_news_sanitize_switch',
) );

$wp_customize->add_control( new Shark_News_Switch_Control( $wp_customize, 'shark_news_theme_options[show_single_tags]', array(
	'label'             => esc_html__( 'Show Tags', 'shark-news' ),
	'section'           => 'shark_news_single_section',
	'on_off_label' 		=> shark_news_show_options(),
) ) );

// Archive author meta setting and control.
$wp_customize->add_setting( 'shark_news_theme_options[show_single_author]', array(
	'default'           => shark_news_theme_option( 'show_single_author' ),
	'sanitize_callback' => 'shark_news_sanitize_switch',
) );

$wp_customize->add_control( new Shark_News_Switch_Control( $wp_customize, 'shark_news_theme_options[show_single_author]', array(
	'label'             => esc_html__( 'Show Author', 'shark-news' ),
	'section'           => 'shark_news_single_section',
	'on_off_label' 		=> shark_news_show_options(),
) ) );

$wp_customize->add_control( new Shark_News_Switch_Control( $wp_customize, 'shark_news_theme_options[show_related_posts]', array(
	'label'             => esc_html__( 'Show Author', 'shark-news' ),
	'section'           => 'shark_news_single_section',
	'on_off_label' 		=> shark_news_show_options(),
) ) );

// single related post title control and setting
$wp_customize->add_setting( 'shark_news_theme_options[show_related_posts_title]', array(
	'default'          	=> shark_news_theme_option('show_related_posts_title'),
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'shark_news_theme_options[show_related_posts_title]', array(
	'label'             => esc_html__( 'Related Posts Title', 'shark-news' ),
	'section'           => 'shark_news_single_section',
	'type'				=> 'text',
) );
