<?php
/**
 * Trending Customizer Options
 *
 * @package shark_news
 */

// Add trending section
$wp_customize->add_section( 'shark_news_trending_section', array(
	'title'             => esc_html__( 'Trending Section','shark-news' ),
	'description'       => esc_html__( 'Trending Setting Options', 'shark-news' ),
	'panel'             => 'shark_news_theme_options_panel',
) );

// trending menu enable setting and control.
$wp_customize->add_setting( 'shark_news_theme_options[enable_trending]', array(
	'default'           => shark_news_theme_option('enable_trending'),
	'sanitize_callback' => 'shark_news_sanitize_switch',
) );

$wp_customize->add_control( new Shark_News_Switch_Control( $wp_customize, 'shark_news_theme_options[enable_trending]', array(
	'label'             => esc_html__( 'Enable Trending', 'shark-news' ),
	'section'           => 'shark_news_trending_section',
	'on_off_label' 		=> shark_news_show_options(),
) ) );

// trending social menu enable setting and control.
$wp_customize->add_setting( 'shark_news_theme_options[trending_entire_site]', array(
	'default'           => shark_news_theme_option('trending_entire_site'),
	'sanitize_callback' => 'shark_news_sanitize_switch',
) );

$wp_customize->add_control( new Shark_News_Switch_Control( $wp_customize, 'shark_news_theme_options[trending_entire_site]', array(
	'label'             => esc_html__( 'Show Entire Site', 'shark-news' ),
	'section'           => 'shark_news_trending_section',
	'on_off_label' 		=> shark_news_show_options(),
) ) );

// trending title control and setting
$wp_customize->add_setting( 'shark_news_theme_options[trending_title]', array(
	'default'          	=> shark_news_theme_option('trending_title'),
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'shark_news_theme_options[trending_title]', array(
	'label'             => esc_html__( 'Title', 'shark-news' ),
	'section'           => 'shark_news_trending_section',
	'type'				=> 'text',
) );

// trending category drop down chooser control and setting
$wp_customize->add_setting( 'shark_news_theme_options[trending_content_tags]', array(
	'sanitize_callback' => 'shark_news_sanitize_multiple_absint',
) );

$wp_customize->add_control( new Shark_News_Dropdown_Multiple_Chosen_Control( $wp_customize, 'shark_news_theme_options[trending_content_tags]', array(
	'label'             => esc_html__( 'Select Tags', 'shark-news' ),
	'section'           => 'shark_news_trending_section',
	'choices'			=> shark_news_tag_choices(),
) ) );
