<?php
/**
 * Register Widgets
 *
 * @package shark_news
 */

/**
 * Load dynamic logic for the widgets.
 */
function shark_news_widget_js( $hook ) {
	if ( 'widgets.php' === $hook ) :
		wp_enqueue_script( 'media-upload' );
	   	wp_enqueue_media();
	   	
		// Choose from select jquery.
		wp_enqueue_style( 'shark-news-admin-css', get_template_directory_uri() . '/assets/css/admin' . shark_news_min() . '.css' );
		wp_enqueue_style( 'jquery-chosen-css', get_template_directory_uri() . '/assets/css/chosen' . shark_news_min() . '.css' );
		wp_enqueue_script( 'jquery-chosen', get_template_directory_uri() . '/assets/js/chosen' . shark_news_min() . '.js', array( 'jquery' ), '1.4.2', true );
		wp_enqueue_script( 'shark-news-admin-script', get_template_directory_uri() . '/assets/js/admin' . shark_news_min() . '.js', array( 'jquery', 'jquery-chosen' ), '1.0.0', true );
	endif;

}
add_action( 'admin_enqueue_scripts', 'shark_news_widget_js' );

/*
 * Add featured widget
 */
require get_template_directory() . '/inc/widgets/featured-widget.php';

/*
 * Add category widget
 */
require get_template_directory() . '/inc/widgets/category-widget.php';

/*
 * Add slider widget
 */
require get_template_directory() . '/inc/widgets/slider-widget.php';

/*
 * Add recent widget
 */
require get_template_directory() . '/inc/widgets/recent-widget.php';

/*
 * Add latest posts widget
 */
require get_template_directory() . '/inc/widgets/latest-post-widget.php';

/**
 * Register widgets
 */
function shark_news_register_widgets() {
		
	register_widget( 'Shark_News_Featured_Widget' );

	register_widget( 'Shark_News_Category_Widget' );

	register_widget( 'Shark_News_Slider_Widget' );

	register_widget( 'Shark_News_Recent_Widget' );

	register_widget( 'Shark_News_Latest_Post_Widget' );

}
add_action( 'widgets_init', 'shark_news_register_widgets' );