<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package shark_news
 */

get_header(); ?>
<div class="single-template-wrapper wrapper page-section">
	<div id="primary" class="content-area">
		<main id="main" class="site-main">

		<?php
		while ( have_posts() ) : the_post();

			get_template_part( 'template-parts/content', 'single' );

			the_post_navigation( array(
			    'prev_text'	=> shark_news_get_svg( array( 'icon' => 'angle-left' ) ) .  '<span>%title</span>',
            	'next_text' => '<span>%title</span>' . shark_news_get_svg( array( 'icon' => 'angle-right' ) ),
			) );

			shark_news_related_posts( get_the_id() );

			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>

		</main><!-- #main -->
	</div><!-- #primary -->
	<?php get_sidebar(); ?>
</div>
<?php
get_footer();
